SphinxClient::setFilterRange
SphinxClient::setGroupBy
SphinxClient
PHP Manual

# SphinxClient::setGeoAnchor

Set anchor point for a geosphere distance calculations

### Description

public bool SphinxClient::setGeoAnchor ( string `$attrlat` , string `$attrlong` , float `$latitude` , float `$longitude` )

Sets anchor point for a geosphere distance (geodistance) calculations and enables them.

Once an anchor point is set, you can use magic "@geodist" attribute name in your filters and/or sorting expressions.

### Parameters

`attrlat`

  Name of a latitude attribute.

`attrlong`

  Name of a longitude attribute.

`latitude`

  Anchor latitude in radians.

`longitude`

  Anchor longitude in radians.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- SphinxClient::setFilterFloatRange
- SphinxClient::setFilterRange
- SphinxClient::setFilter
- SphinxClient::resetFilters